# Method Standards.PKCS.RSA.parse_private_key()

Method parse_private_key

  ``Crypto.RSA.State` parse_private_key(`Sequence` `seq`)`

Description

  Decode a RSAPrivateKey structure

Parameter `key`

  RSAPrivateKey provided in ASN.1 format

Returns

  Crypto.RSA object

Method parse_private_key

  ``variant` `Crypto.RSA.State` parse_private_key(`string` `key`)`

Description

  Decode a DER-coded RSAPrivateKey structure

Parameter `key`

  RSAPrivateKey provided in ASN.1 DER-encoded format

Returns

  Crypto.RSA object